Summary:	Tag editor for MP3, OGG files
Name:		easytag
Version:	2.1.6
Release:	%mkrel 3
License:	GPLv2+
Group:		Sound
URL:		http://easytag.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/easytag/%{name}-%{version}.tar.bz2
Source1:	easytag-2.1.6-de.po.bz2
BuildRequires:	gtk2-devel >= 2.4
BuildRequires:	id3lib-devel
BuildRequires:	libid3tag-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libflac-devel
BuildRequires:	libwavpack-devel
BuildRequires:	libspeex-devel
BuildRequires:	libmp4v2-devel
Requires(post):	desktop-file-utils
Requires(postun):	desktop-file-utils
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
EasyTAG is an utility for viewing and editing tags of MP3, MP2, FLAC,
Ogg Vorbis, MP4/AAC, MusePack, Wavpack, Speex and Monkey's Audio
files. Its simple and nice GTK+ interface makes tagging easier under
GNU/Linux.
Features:
- View, edit, write tags of MP3, MP2 files (ID3 tag with pictures),
  FLAC files (FLAC Vorbis tag), Ogg Vorbis files (Ogg Vorbis tag),
  MP4/AAC (MP4/AAC tag), and MusePack, Wavpack, Monkey's Audio files
  (APE tag), Speex files,
- Can edit more tag fields : Title, Artist, Album, Disc Album, Year,
  Track Number, Genre, Comment, Composer, Original Artist/Performer,
  Copyright, URL and Encoder name,
- Auto tagging: parse filename and directory to complete automatically
  the fields (using masks),
- Ability to rename files and directories from the tag (using masks) or by
  loading a text file,
- Process selected files of the selected directory,
- Ability to browse subdirectories,
- Recursion for tagging, removing, renaming, saving...,
- Can set a field (artist, title,...) to all other files,
- Read file header informations (bitrate, time, ...) and display them,
- Auto completion of the date if a partial is entered,
- Undo and redo last changes,
- Ability to process fields of tag and file name (convert letters into
  uppercase, downcase, ...),
- Ability to open a directory or a file with an external program,
- CDDB support using Freedb.org servers (manual and automatic search),
- A tree based browser or a view by Artist & Album,
- A list to select files,
- A playlist generator window,
- A file searching window,
- Simple and explicit interface!,
- French, German, Russian, Dutch, Hungarian, Swedish, Italian, Japanese,
  Ukrainian, Czech, Spanish, Polish, Romanian, Danish, Greek and Brazilian
  Portuguese translation languages,
- Written in C and uses GTK+ 2.4 for the GUI.

%prep
%setup -q
bzcat %SOURCE1 > po/de.po

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%update_desktop_database
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_desktop_database
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README TODO THANKS USERS-GUIDE
%doc doc/EasyTAG_Documentation* doc/users_guide*
%{_bindir}/easytag
%{_mandir}/man1/easytag.1*
%{_datadir}/applications/easytag.desktop
%{_datadir}/pixmaps/*
%{_datadir}/easytag/


%changelog
* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 2.1.6-3mdv2009.0
+ Revision: 286326
- revert previous change, readd directory mime type

* Thu Sep 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.6-2mdv2009.0
+ Revision: 285580
- remove x-directory/normal mimetype, as it leads to open easytag instead of default file browser ins some circumstances
- new license policy
- remove redefines
- do not package COPYING and INSTALL files
- spec file clean

* Mon Jul 14 2008 Götz Waschk <waschk@mandriva.org> 2.1.6-1mdv2009.0
+ Revision: 235604
- new version
- update German translation

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.1.5-2mdv2009.0
+ Revision: 192438
- build with mp4 metadata support

* Sun Jan 27 2008 Götz Waschk <waschk@mandriva.org> 2.1.5-1mdv2008.1
+ Revision: 158854
- new version
- drop patch
- update German translation

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Götz Waschk <waschk@mandriva.org> 2.1.4-2mdv2008.1
+ Revision: 116940
- fix build

* Mon Dec 10 2007 Götz Waschk <waschk@mandriva.org> 2.1.4-1mdv2008.1
+ Revision: 116921
- new version
- drop patches
- update German translation

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.1.3-4mdv2008.1
+ Revision: 99026
- bump release
- release bump
- fix desktop entry again
- fix buildrequires

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.1.3-1mdv2008.1
+ Revision: 98867
- fix build with new mpeg4ip
- new version
- update German translation
- fix desktop entry
- drop legacy menu

* Thu Jul 12 2007 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2008.0
+ Revision: 51467
- new version
- update German translation

* Thu Jul 05 2007 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 48448
- new version
- drop all patches (merged)
- update German translation
- update buildrequires
- update description

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.1-4mdv2008.0
+ Revision: 41418
- fix file rename bug

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 2.1-3mdv2008.0
+ Revision: 39876
- fix FLAC comments

* Sat May 26 2007 Götz Waschk <waschk@mandriva.org> 2.1-2mdv2008.0
+ Revision: 31364
- patch for libid3tag support

* Tue May 08 2007 Götz Waschk <waschk@mandriva.org> 2.1-1mdv2008.0
+ Revision: 24993
- new version
- update German translation

* Wed May 02 2007 Götz Waschk <waschk@mandriva.org> 2.0.2-1mdv2008.0
+ Revision: 20392
- new version
- drop merged de.po

* Fri Apr 20 2007 Götz Waschk <waschk@mandriva.org> 2.0.1-1mdv2008.0
+ Revision: 15406
- new version
- update German translation
- drop patch
- update description
- update buildrequires

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.0-2mdv2007.1
+ Revision: 13639
- remove glib warning


* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2007.0
+ Revision: 124855
- new version
- drop source 1
- fix doc file listing

* Tue Dec 12 2006 Götz Waschk <waschk@mandriva.org> 1.99.13-1mdv2007.1
+ Revision: 95213
- new version
- update German translation
- drop patches
- switch back to id3lib

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.99.12-5mdv2007.1
+ Revision: 95023
- bump release

* Mon Dec 11 2006 Götz Waschk <waschk@mandriva.org> 1.99.12-4mdv2007.1
+ Revision: 94989
- Import easytag

* Mon Dec 11 2006 Gtz Waschk <waschk@mandriva.org> 1.99.12-4mdv2007.1
- patch for new libflac
- libid3tag patch

* Tue Jun 20 2006 Gtz Waschk <waschk@mandriva.org> 1.99.12-3mdv2007.0
- use the new macro
- fix xdg menu

* Mon May 22 2006 Gtz Waschk <waschk@mandriva.org> 1.99.12-2mdk
- use the XDG menu
- own the data dir

* Tue Apr 11 2006 Gtz Waschk <waschk@mandriva.org> 1.99.12-1mdk
- update German translation
- New release 1.99.12

* Fri Dec 16 2005 Gtz Waschk <waschk@mandriva.org> 1.99.11-1mdk
- update German translation
- New release 1.99.11

* Tue Nov 29 2005 Gtz Waschk <waschk@mandriva.org> 1.99.10-1mdk
- update German translation
- update docs list
- new version

* Thu Nov 03 2005 Gtz Waschk <waschk@mandriva.org> 1.99.9-1mdk
- update German translation
- New release 1.99.9

* Tue Sep 06 2005 Gtz Waschk <waschk@mandriva.org> 1.99.8-3mdk
- update description

* Tue Sep 06 2005 Gtz Waschk <waschk@mandriva.org> 1.99.8-2mdk
- fix buildrequires

* Fri Sep 02 2005 Gtz Waschk <waschk@mandriva.org> 1.99.8-1mdk
- conditional faac support
- update de.po
- New release 1.99.8

* Tue Aug 16 2005 Gtz Waschk <waschk@mandriva.org> 1.99.7-2mdk
- update de.po

* Wed Jul 13 2005 Gtz Waschk <waschk@mandriva.org> 1.99.7-1mdk
- drop source1
- drop patch
- New release 1.99.7

* Thu Jun 30 2005 Gtz Waschk <waschk@mandriva.org> 1.99.6-2mdk
- fix for a browser entry bug

* Mon Jun 27 2005 Gtz Waschk <waschk@mandriva.org> 1.99.6-1mdk
- update source 1
- drop patch
- New release 1.99.6

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 1.99.5-4mdk
- German translation update

* Tue Jun 14 2005 Gtz Waschk <waschk@mandriva.org> 1.99.5-3mdk
- mkrel

* Sat Jun 11 2005 Gtz Waschk <waschk@mandriva.org> 1.99.5-2mdk
- patch: add disc number support to the tag scanner

* Wed Jun 08 2005 Gtz Waschk <waschk@mandriva.org> 1.99.5-1mdk
- update the german translation
- New release 1.99.5

* Tue May 03 2005 Gtz Waschk <waschk@mandriva.org> 1.99.4-1mdk
- update the german translation
- drop the patch
- New release 1.99.4

* Tue Apr 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.99.3-2mdk
- rebuild for new libflac

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.99.3-1mdk
- update german translation
- New release 1.99.3

* Tue Nov 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.99.2-1mdk
- update german translation
- update source URL
- New release 1.99.2

* Wed Oct 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.99.1-1mdk
- update German translation
- new version

* Fri Oct 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-8mdk
- small build patch
- update german translation
- drop patches
- new prerelease

* Thu Sep 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-7mdk
- fix cddb bug

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-6mdk
- update german translation
- patch in cover viewer
- new prerelease

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-5mdk
- rebuild for new flac

* Sat Jul 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-4mdk
- update german translation
- new prerelease

* Mon Jul 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-3mdk
- use imagemagick for the icons
- update german translation
- gtk2 prerelease

* Sat Jun 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-2mdk
- rebuild for new g++

* Tue Jun 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.31-1mdk
- update german translation
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30.2-1mdk
- new version

* Tue Mar 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30.1-1mdk
- update file list
- drop all patches
- new version

